• 注册
欢迎加入behaviac Q&A网站。behaviac是腾讯开源组件https://github.com/TencentOpen/behaviac 官方网站:http://www.behaviac.com/,提供各种文档和教程及手册 为了您及时的获得您最新问题的评论或者回答,请提供并验证您的邮箱

元数据文件有错误,请用最新的运行时重新导出元信息

0 喜欢 0 不喜欢
137 浏览

behaviac编辑器使用元信息时,出现如下错误,(使用克隆源码cmake构建 ,c++ vs2013导出),使用的是github上的源码,获取的库应该是最新的才对,为啥提示我用最新的运行库?

image

包含的运行库有inc, lib, SDL2和framework,是不是工程配置还有其他要求?

配置如下

image

image

image

image

image

导出的元信息版本号3.0

image

最新提问 6月 17, 2016 用户: qq_575eb2e3d6c3f (470 分)
修改于 6月 28, 2016 用户:jonygli

1个回答

0 喜欢 0 不喜欢

升级版本,请参考:http://www.behaviac.com/language/zh/updatenotes/

btw,https://github.com/TencentOpen/behaviac/blob/master/example/spaceship/data/ships.xml里版本号是5,你的是3,不是最新的版本。

 

最新回答 6月 17, 2016 用户: jonygli (58,290 分)

就是按照这个搞的呀,元信息导出了,现在使用3.5.1版本的编辑器,到步骤3打开工作区,出现上面错误。步骤1,2都成功了

image

你的 是3.0 这个是老的运行时导出的。你的运行时库是老版本。
这个是我几天前在github上克隆的,上面不是最新的吗?还是说应该使用安装好的3.5.1下的库?
刚才我看了一下我这边的ships.xml确实是3.0,不是5.0,但确实是昨天才下载的,我再重新在github上下载一下试试

可以了,刚下载的,导出的元信息版本号为5.0了。image

...